TSPAlgorithms (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.tsp

## Interface TSPAlgorithms

-     public interface TSPAlgorithms

  Recognised hash algorithms for the time stamp protocol.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set` | `ALLOWED`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `GOST3411`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `MD5`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RIPEMD128`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RIPEMD160`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RIPEMD256`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA1`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA224`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA256`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA384`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA512`

- - ### Field Detail

    - #### MD5

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier MD5

    - #### SHA1

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA1

    - #### SHA224

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA224

    - #### SHA256

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA256

    - #### SHA384

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA384

    - #### SHA512

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA512

    - #### RIPEMD128

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier RIPEMD128

    - #### RIPEMD160

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier RIPEMD160

    - #### RIPEMD256

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier RIPEMD256

    - #### GOST3411

          static final org.bouncycastle.asn1.ASN1ObjectIdentifier GOST3411

    - #### ALLOWED

          static final java.util.Set ALLOWED